What is Internet Neighborhood

What is ftpNetDrive?

ftpNetDrive (tm) maps an FTP site to a network drive letters. FTP is now as easy as accessing any file on any drive on your system! You can open and edit files on the remote site or save files to the remote site without the additional "upload" or "download" step.

By mapping an FTP site to a drive letter, you can search the remote site using the standard Windows 'File Find'. You can save files to your FTP site from within the application that you use to create or edit the files.


Features of ftpNetDrive

ftpNetDrive provides you with the ability to:

  • Save files from within your application directly to the FTP site using Save as

  • Edit and save files on your remote site by simply double-clicking on the remote file
  • Find files and directories on the remote site using the standard Windows File find
  • Transfer complete directory structures
  • Connect to your favorite FTP sites with the click of a mouse
  • Site Wizard for easy site definition and configuration
  • Directory caching lets you browse FTP sites without being connected

ftpNetDrive also provides an advanced feature set including features such as:

  • Support for numerous firewall types, including:

- RAPTOR
- WINGATE
- CHECKPOINT
- Various Proxy servers including MS-Proxy

  • Support for numerous host types, including:

- UNIX (most variants including L8 and BSD)
- WinNT v3.51, v4.0 (both DOS and UNIX style directory listings)
- VMS (many variants, VMS-MultiNET, OPEN-VMS
- VM & VM-CMS
- NetWare
- OS/2
- WFTPD
- WAR-FTP
- HellSoft FTP Server
- FTP Software's FTP Server
- AppleShare
- MPEiX (HP-3000)

  • Resolves symbolic links

  • Passive Mode Support
  • Send FTP initialization commands


System Requirements

Because ftpNetDrive is a network redirector, it requires Windows 95 or Windows 98 as the client operating system.

Operating System: Windows 95/98

Processor: 486 or better

Memory: 32MB

Disk Space: 20Mb (for product and caching space)

Internet Connection: Either a direct connection or a Modem with a minimum baud rate of 28.8 (56K is recommended).

TCP/IP protocol stack: Microsoft’s 32-bit, or compatible


Entering Your Registration Code

Once you have purchased a registered copy of ftpNetDrive, you will receive a Registration Code or Serial Number for your copy of the software. In order to enable the full functionality of ftpNetDrive, you must enter this Registration Code/Serial Number into the program to unlock it.

To do this, run the ftpNetDrive Monitor Program and click on the 'General Settings' tab. Click on the 'About' button. This will display the ftpNetDrive About Box.

Next, click on the 'unlock' button from within the About Box to bring up the registration code dialog box. Enter your ftpNetDrive registration code in this box and click the OK button.

If you get an error, double check to make sure that you entered the registration code correctly. If you still get an error message, contact our technical support staff for further assistance. Please include your registration code in the body of the message along with a brief description of your problem.


Upgrading ftpNetDrive

Upgrades to ftpNetDrive are free for the life of the product. You can download the latest version of ftpNetDrive from the KnoWare, Inc. website located at http://www.knowareinc.com. To upgrade an existing installation of ftpNetDrive, you'll need to:

Download the new version of ftpNetDrive from the website.

Double-click on the ftpNetDrive9x.exe file that you just downloaded.

Follow the installation instructions to install the new version of the software.

When prompted, choose YES to have the installation program restart Windows. This will ensure that the new system values are registered correctly.

Once Windows has restarted, you are ready to begin using ftpNetDrive.

NOTE: Please read the release notes which ship with ftpNetDrive; they contain the most up-to-date documentation available for the product.


Uninstalling ftpNetDrive

To uninstall ftpNetDrive, go to the Windows Control Panel and double-click on "Add/Remove Programs". Select ftpNetDrive from the list. Follow the instructions in the uninstall process. When this process is completed, ftpNetDrive will be removed from your system.


ftpNetDrive Site Manager

FTP Site Manager

The FTP Site Manager is used to display all of the existing sites that are configured within ftpNetDrive, and to view the properties of those sites. The Site Manager can also be used to add additional sites to ftpNetDrive.

To run the site manager, choose "KnoWare FTP Site Manager" from the KnoWare ftpNetDrive Program group.

To view or change properties of a site

Click on the FTP site that you wish to view. Click on the properties button. The following property tabs will be displayed:

Site params
User Info
Firewall
File Display
Caching
Connection

To add a new FTP site

Click the 'new' button on the Site Manager dialog box. The FTP Site Wizard will be displayed. Enter all of the following information:

URL or HostName: Enter the URL (Uniform Resource Locator), the domain name, or the dotted IP address of the site you wish to connect to. If you want to connect to Netscape’s FTP site, you could enter the full URL of FTP://FTP.NETSCAPE.COM or you could enter Netscape’s FTP domain name of FTP.NETSCAPE.COM. You could also enter Netscape’s IP address. ftpNetDrive will accept any of these.

NOTE: You should not enter only NETSCAPE.COM. ftpNetDrive cannot resolve names of this format. You are required to add the FTP or WWW prefix to the second level domain name.

Port: Enter the port number used to communicate with the FTP server. The default of 21 is usually correct. In the event that you should need to change this value, contact the administrator of the remote FTP site for the correct port setting.

Initial Remote Directory: This is the 'default' directory on the remote FTP site. When you first establish a connection to the remote FTP server, you will be placed into a starting directory. If you wish to change where you start off, enter a different directory here. This can either be an absolute directory like '/pub', or a relative directory like 'pub'.

The absolute directory is a specific directory; the location that the FTP server decides to put you is ignored. The relative directory is relative to whatever directory you are initially placed into by the FTP server. You can leave this entry blank for most FTP sites.

Site is Virtual Host: Check this box if the FTP which you are connecting to supports virtual hosting.

User Friendly Site Name: Enter a user friendly name for your new FTP site. This name will be displayed in the first field next to the icon of the new FTP site. This field will also be the field which is displayed when ftpNetDrive is configured to run in Icon, Small Icons, or List mode.

User Friendly Site Description: Enter a user friendly description for your new FTP site.

Additional properties can be set by clicking the 'advanced' button. The following property tabs will be displayed:


General Properties

Site Parameters

This section describes the site specific parameters required to set up a new FTP site.

URL or HostName: Enter the URL (Uniform Resource Locator), the domain name, or the dotted IP address of the site you wish to connect to. If you want to connect to Netscape’s FTP site, you could enter the full URL of FTP://FTP.NETSCAPE.COM or you could enter Netscape’s FTP domain name of FTP.NETSCAPE.COM. You could also enter Netscape’s IP address. ftpNetDrive will accept any of these.

NOTE: You should not enter only NETSCAPE.COM. ftpNetDrive cannot resolve names of this format. You are required to add the FTP or WWW prefix to the second level domain name.

Port: Enter the port number used to communicate with the FTP server. The default of 21 is usually correct. In the event that you should need to change this value, contact the administrator of the remote FTP site for the correct port setting.

Initial Remote Directory: This is the 'default' directory on the remote FTP site. When you first establish a connection to the remote FTP server, you will be placed into a starting directory. If you wish to change where you start off, enter a different directory here. This can either be an absolute directory like '/pub', or a relative directory like 'pub'.

The absolute directory is a specific directory; the location that the FTP server decides to put you is ignored. The relative directory is relative to whatever directory you are initially placed into by the FTP server. You can leave this entry blank for most FTP sites.

Site is Virtual Host: Check this box if the FTP which you are connecting to supports virtual hosting.

User Friendly Site Name: Enter a user friendly name for your new FTP site. This name will be displayed in the first field next to the icon of the new FTP site. This field will also be the field which is displayed when ftpNetDrive is configured to run in Icon, Small Icons, or List mode.

User Friendly Site Description: Enter a user friendly description for your new FTP site.


User Info Settings

This section details the User Info Properties that are configurable at the individual FTP Site level. Although ftpNetDrive can be configured at the global level, these parameters provide the ability to 'fine tune' ftpNetDrive at the individual FTP site level. Options selected at this level affect only the currently select FTP site and do not affect other FTP sites, nor do they change the global ftpNetDrive Settings.

If you are defining a new FTP site, you can access these properties by clicking on the Advanced... button on the main FTP Site Wizard dialog box.

If you wish to modify the properties of a currently defined FTP site, you can access the FTP site properties by right-clicking on the desired FTP site, then select 'Properties...'.

The settings for the User Info Properties property page are described below.

Login as Anonymous: If checked, ftpNetDrive will send 'anonymous' as the username, and your EMAIL address as the password when logging into the remote site. Your EMAIL address is specified on the main ftpNetDrive property sheet.

Username: Enter your username on the remote FTP site. If Login as Anonymous is checked, ‘anonymous’ will be sent as your username. If Login as Anonymous is not checked, you may either enter your username for the remote site, or you may leave this box blank. If you leave this box blank, you will be prompted for your username when you initially connect to the remote site.

Password: Enter your password on the remote FTP site. If Login as Anonymous is checked, your EMAIL address will be sent as your password. Your

Account: Enter your account name on the remote FTP site. There are certain FTP sites which will setup individual accounts for various users. If you have an account on the target FTP site, you can enter the account name here. If you leave this box blank, and an account name is required on the remote FTP server, you will be prompted to enter the account name.

Initialization Commands: ftpNetDrive has the ability to send a series of FTP commands to the remote server immediately following the initial connection. Using this feature, you can custom tailor the FTP session to your needs.

FTP Command: Enter an FTP command to be executed on the remote server, then click the Add button to add it to the list.

Command List: This list contains the series of commands which will be executed, in order, on the remote FTP server after you have logged into the server (but before the Initial Remote Directory has been set). To remove a command from the list, click on the command then select the Remove button. You can reposition the commands by highlighting them and selecting either the Move Up or Move Down button.


Firewall Properties

This section details the Firewall Properties that are configurable at the individual FTP Site level. Although ftpNetDrive can be configured at the global level, these parameters provide the ability to 'fine tune' ftpNetDrive at the individual FTP site level. Options selected at this level affect only the currently select FTP site and do not affect other FTP sites, nor do they change the global ftpNetDrive Settings.

If you are defining a new FTP site, you can access these properties by clicking on the Advanced... button on the main FTP Site Wizard dialog box.

If you wish to modify the properties of a currently defined FTP site, you can access the FTP site properties by right-clicking on the desired FTP site, then select 'ftpNetDrive' and then 'Program Options'.

The settings for the Firewall Properties property page are described below.

PASSIVE mode for file transfers: Some firewalls/gateways require that the remote FTP server be a PASSIVE server during file transfers. If your firewall requires this, check this box.

Firewall Access: If checked, ftpNetDrive will implement one of the following selected firewall types.

Firewall Type: ftpNetDrive provides support for various popular firewalls and proxy servers. If you are unsure as to the type of firewall or proxy server installed on your network, contact your system administrator.

The following is a list of firewall and proxy servers which are supported as of the current release of ftpNetDrive:

  • User with Login: If selected, ftpNetDrive will establish a connection to the remote FTP site by issuing the USER username@remotesite command. ftpNetDrive will first establish a connection to the Firewall Host computer and log into it using the supplied Firewall Username and Firewall Password.

  • User without Login: If selected, ftpNetDrive will establish a connection to the remote FTP site by issuing the USER username@remotesite command through the firewall. ftpNetDrive will first open a connection to the Firewall Host computer specified by the Firewall Host, but will NOT log into it.

  • Proxy OPEN: If selected, ftpNetDrive will open a connection to the Firewall Host computer specified by Firewall Host. Once the connection is established, ftpNetDrive will then issue the OPEN remotesite command to connect to the actual remote FTP site. You are not logged into the firewall.

  • SITE with Login: If selected, ftpNetDrive will open a connection to the Firewall Host computer specified by Firewall Host. You will then be logged into the firewall using the Firewall Username and Firewall Password. If you are successfully logged into the firewall, ftpNetDrive will then open a connection to the remote FTP site by issuing the SITE remotesite command.

  • RAPTOR: Choose this selection if you have a RAPTOR firewall installed on your network. If selected, ftpNetDrive will open a connection to the Firewall Host computer specified by Firewall Host. Once opened, ftpNetDrive will open the remote FTP site by issuing the USER username@remotesite fw_username command. The fw_username is the Firewall Username. When requested, ftpNetDrive will then send over your Password followed by the Firewall Password as the account name.

  • WINGATE: Choose this selection if you have a WINGATE proxy server installed on your network. If selected, ftpNetDrive will establish a connection to the remote FTP site by issuing the USER username@remotesite command through the firewall. ftpNetDrive will first open a connection to the Firewall Host computer specified by the Firewall Host, but will NOT log into it.

  • CHECKPOINT: Choose this selection if you have a CHECKPOINT firewall installed on your network. If selected, ftpNetDrive will open a connection to the Firewall Host computer specified by Firewall Host. Once opened, ftpNetDrive will open the remote FTP site by issuing the USER username@fw_username@remotesite command. The fw_username is the Firewall Username. When requested, ftpNetDrive will then send over PASS password@fw_password as the password.

Firewall Host: Enter the domain name or IP address of your firewall.

Firewall Port: the port number for the firewall. The default port of 21 is usually sufficient.

Username: Enter your firewall username here if you are required to log into your firewall.

Password: Enter your firewall password here if you are required to log into your firewall.


File Display Properties

This section details the File Display Properties that are configurable at the individual FTP Site level. Although ftpNetDrive can be configured at the global level, these parameters provide the ability to 'fine tune' ftpNetDrive at the individual FTP site level. Options selected at this level affect only the currently select FTP site and do not affect other FTP sites, nor do they change the global ftpNetDrive Settings.

If you are defining a new FTP site, you can access these properties by clicking on the Advanced... button on the main FTP Site Manager dialog box.

If you wish to modify the properties of a currently defined FTP site, you can access the FTP site properties by right-clicking on the desired FTP site, then select 'ftpNetDrive' and then 'Program Options'.

The settings for the File Display Properties property page are described below.

Hide files starting with '.': If checked, ftpNetDrive will not display any directories which begin with a period “.”. Uncheck this box if you want ftpNetDrive to display all directories, regardless of their format.

Hide directories starting with '.': If checked, ftpNetDrive will not display any files which begin with a period “.”. Uncheck this box if you want ftpNetDrive to display all files, regardless of their format.

Resolve symbolic links: If checked, ftpNetDrive will attempt to resolve all symbolic links which it encounters. If unchecked, ftpNetDrive will assume that all symbolic links are directory links. This will make links to files appear as directories and they will be unavailable! The trade-off is performance. Not resolving links is faster, but resolving links is more accurate. The preferred method is to have ftpNetDrive resolve symbolic links.

Display hidden files: If checked, ftpNetDrive will apply the flags found in the 'LIST' Flags box to the directory listing in order to display hidden files which are found on the remote FTP server.

'LIST' flags: Enter the remote FTP server specific LIST command flags which will cause the FTP server to return a list of hidden files and folders.

Remote file mask: Enter a file mask, such as A* or 123*, which will be used to filter out the files which are displayed on the remote server.


Directory Caching Properties

This section details the Directory Caching Properties that are configurable at the individual FTP Site level. Although ftpNetDrive can be configured at the global level, these parameters provide the ability to 'fine tune' ftpNetDrive at the individual FTP site level. Options selected at this level affect only the currently selected FTP site and do not affect other FTP sites, nor do they change the global ftpNetDrive Settings.

If you are defining a new FTP site, you can access these properties by clicking on the Advanced... button on the main FTP Site Manager dialog box.

If you wish to modify the properties of a currently defined FTP site, you can access the FTP site properties by right-clicking on the desired FTP site, then select 'Properties...'.

The settings for the Directory Caching Properties property page are described below.

Cache Directory Listings locally: If checked, ftpNetDrive will cache the directory listing of each remote FTP directory encountered. Also, if this option is enabled, ftpNetDrive will provide context menu commands for 'Cache Site' and 'Cache Folder'. These commands provide the ability to cache complete sites and/or folders for later off-line viewing.

Clear Directory Cache: Click this button to clear out the contents of the cache directory.

Cache Files Locally: If checked, files opened on the remote site will be cached locally.

Clear File Cache Before Connecting: Clears all file cache before connecting to a remote site to ensure viewing the file as it currently exists on the site.


Connection Properties

This section details the options on the Connection property page of the ftpNetDrive property sheet. This tab contains information on how to configure various connection features of ftpNetDrive.

The settings for the Connection property page are described below.

Send buffer size: Specify the size of the internal buffer used to send data to the remote FTP server. You can enter any value between 32 bytes and 4096 bytes, inclusive. The default value of 255 bytes is usually sufficient for most implementations. If you are having communication problems, this number may need to be adjusted.

Receive buffer size: Specify the size of the internal buffer used to receive data from the remote FTP server. You can enter any value between 32 bytes and 4096 bytes, inclusive. The default value of 255 bytes is usually sufficient for most implementations. . If you are having communication problems, this number may need to be adjusted.

Timeout Period: Specify the number of seconds which ftpNetDrive will wait for a reply from the remote FTP server before canceling the current operation. You can enter any value between 5 and 90 seconds. If you are experiencing periodic ‘timeouts’ from remote servers, you may want to increase this value.

Send Keep Alives every: Some FTP servers will disconnect after a period of inactivity. This setting allows you to specify an interval in minutes to send a Keep Alive to the FTP server to prevent being logged off.

Retry Count: Enter the maximum number of times that ftpNetDrive will attempt to connect to a remote FTP site.

Pause Interval: Enter the number of seconds that ftpNetDrive will wait between connection retries.


Mapping an FTP Site to a Drive Letter

There are several ways to map an FTP site to a drive letter. You can map a drive letter within the Windows Explorer or from within the ftpNetDrive monitor program. These options is detailed below.

From Windows Explorer

From within the Windows Explorer, go to the Tools menu and select "Map Network Drive&ldots;" The Map Network Drive dialog will be displayed. Select the drive letter that you wish to map. Then type in the URL or IP Address of the FTP server that you would like to map to, for example: 192.200.200.200 or ftp.myserver.com. Click OK and the ftpNetDrive Site Manager will be displayed. If a site with a similar name has already been defined, the ftpNetDrive Site Manager will list all defined FTP sites (including FTP sites defined within KnoWare's companion product, Internet Neighborhood) and will highlight the match. To select this site, click the "Map to (drive letter)" button. To create a new FTP site definition, click the "new" button. The FTP Site Manager will be launched.

From the ftpNetDrive Monitor Program

Double-click on the ftpNetDrive Monitor icon in your Windows system tray. Click on the General tab if it is not already displayed. Click on the map button. The Map Network Drive dialog will be displayed. Select the drive letter that you wish to map. Then type in the URL or IP Address of the FTP server that you would like to map to, for example: 192.200.200.200 or ftp.myserver.com. Click OK and the ftpNetDrive Site Manager will be displayed. If a site with a similar name has already been defined, the ftpNetDrive Site Manager will list all defined FTP sites (including FTP sites defined within KnoWare's companion product, Internet Neighborhood) and will highlight the match. To select this site, click the "Map to (drive letter)" button. To create a new FTP site definition, click the "new" button. The FTP Site Manager will be launched.


Unmapping a Drive Letter

To unmap a drive letter that is mapped to an FTP site, double-click on the ftpNetDrive Monitor icon in your Windows system tray.

Click on the General tab if it is not already displayed. Click on the Unmap button. A list of all currently mapped drive letters will be displayed. This includes drives that are mapped to your local network server as well as the drives mapped to FTP sites. Highlight the drive letter that you wish to unmap and click OK. The drive letter will be unmapped.

You can also unmap drives from within the Windows Explorer. From the Tools menu, select "disconnect network drive".


ftpNetDrive Monitor Program

The ftpNetDrive Monitor Program is used to monitor activity on the FTP sites that you have mapped. You can also use the Monitor program to configure global settings, and site specific settings.

To run the ftpNetDrive Monitor Program, double click on the ftpNetDrive icon in your Windows System tray. The General Settings tab will be displayed, along with a tab for each drive letter that you have mapped to an FTP site.

General Settings Tab

The General Settings Tab lists the currently mapped drive letters and displays the following buttons:

Map - maps an FTP site to a drive letter

Unmap - unmaps a drive letter

Options - displays the following property tabs:

General
Firewall
File Display
Connection
Caching
Logfiles

About - use the about button to verify the currently installed version of ftpNetDrive and to view or enter your registration code.

Drive Letter Tabs

Click on the tab for the drive letter that has been mapped to the FTP site. You can view the current activity of the FTP site, and control processing on that site.

The following options are available for each drive letter:

Login - Log in to the FTP site that is mapped

Logout - Log out of the FTP site

Options - This will bring up the site specific property tabs:

Site Params
User Info
Firewall
File Display
Caching
Connection

Cancel - Cancels the upload or download currently in progress

Clear File Cache - clears the local file cache of any files that have been cached from that site

Clear Directory Cache - clears the local directory cache for that site

Explore - Explores the contents of the site using the Windows Explorer


Browsing Mapped FTP Sites

You can browse mapped FTP sites just as you would browse the contents of any other drive letter on your system. From within the Windows Explorer, double-click the drive letter of the FTP site that you want to browse. You will see the directories on the site displayed as folders. Double click on a folder to see its contents, or click on the plus sign next to the folder.

You navigate back up through the folder structure by clicking the up one level icon in the Windows Explorer toolbar.


Uploading and Downloading files

Transferring files

There are two ways to transfer files between FTP servers and your local computer using ftpNetDrive. These are described below:

Drag and Drop

ftpNetDrive allows you to drag and drop files between a remote server and your local machine. You can also drag files from one mapped drive letter to another, effectively transferring files from one site to another. You can also move files to different directories on the remote site.

Copy/Paste

ftpNetDrive allows you to copy and paste files between a remote server and your local machine. You can also drag files from one mapped drive letter to another, effectively transferring files from one site to another. You can also move files to different directories on the remote site. Right click on the file or directory to be transferred and select 'copy'. Right click on the destination folder and select 'paste'. The file transfer is performed.


Editing Files on the FTP Site

You can effectively edit files that reside on a remote FTP site. Double-click on the file to be edited. ftpNetDrive will transfer the file to your local cache, and will launch the application associated with that file type. Upon completion, save the file as you normally would. The newly edited copy will be transferred back to the FTP server. You may also do a 'file...save as...' to save your changes under a different file name.


Saving Files to the FTP Site

From with the application that you are using to edit your file, go to the 'File' menu and choose 'save as...'. Click the down arrow next to the 'Save in' box. Select the drive letter corresponding the to FTP site where you want to save your file. Specify a file name and click 'save'. Your edits will be saved and the file stored on the FTP site.


Cancelling Transfers and Saves

To cancel an upload or download in progress, run the ftpNetDrive Monitor Program located in the Windows system tray. Click on the drive letter on which you wish to cancel the transfer. Click on the 'cancel' button.


File Transfer Properties

FTP Site - User Info Properties

This section details the User Info Properties that are configurable at the individual FTP Site level. Although ftpNetDrive can be configured at the global level, these parameters provide the ability to 'fine tune' ftpNetDrive at the individual FTP site level. Options selected at this level affect only the currently select FTP site and do not affect other FTP sites, nor do they change the global ftpNetDrive Settings.

If you are defining a new FTP site, you can access these properties by clicking on the Advanced... button on the main FTP Site Wizard dialog box.

If you wish to modify the properties of a currently defined FTP site, you can access the FTP site properties by right-clicking on the desired FTP site, then select 'ftpNetDrive' and then 'Program Properties'.

The settings for the User Info Properties property page are described below.

Login as Anonymous: If checked, ftpNetDrive will send 'anonymous' as the username, and your EMAIL address as the password when logging into the remote site. Your EMAIL address is specified on the main ftpNetDrive property sheet.

Username: Enter your username on the remote FTP site. If Login as Anonymous is checked, ‘anonymous’ will be sent as your username. If Login as Anonymous is not checked, you may either enter your username for the remote site, or you may leave this box blank. If you leave this box blank, you will be prompted for your username when you initially connect to the remote site.

Password: Enter your password on the remote FTP site. If Login as Anonymous is checked, your EMAIL address will be sent as your password. Your EMAIL address is specified on the main ftpNetDrive property sheet. If Login as Anonymous is not checked, you may either enter your password for the remote site, or you may leave this box blank. If you leave this box blank, you will be prompted for your password when you initially connect to the remote site.

Account: Enter your account name on the remote FTP site. There are certain FTP sites which will setup individual accounts for various users. If you have an account on the target FTP site, you can enter the account name here. If you leave this box blank, and an account name is required on the remote FTP server, you will be prompted to enter the account name.